先日上手く動かず、MySQLで入れたものの放置してあったMT4。

と思ったら、太鉄さんのところ(talk to oneself 2)にこんな記事が。

さくらインターネットに DBD::SQLite の最新版をインストールしてもらうように申請するのが筋なのでしょうが、それでは面白くないです。会社の同僚に勧められた通り、ローカルに DBD::SQLite の最新版をインストールして、MT4 を SQLite で使ってみることにします。
 

がーん。

僕がショックを受けた理由は、主に次の2点。

  • SQLite1.09だとダメだけど、1.10以上なら入る(!)
  • なぜだか、DBなんて言うものに関する重要なモジュールは自分で入れられないと思ってた(考えてみればそんなわけはない)

そうだったのか…もの凄く単純な理由だったんですね。
まさか、SQLiteそのものだったとは思いませんでした。

確かに、beta2でウィザードを起動すると、
Missing Modulesの中に、DBD::SQLiteが含まれて、